> ## Documentation Index
> Fetch the complete documentation index at: https://captions.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Caption Template



## OpenAPI

````yaml /help/docs/fr/api/openapi.json get /v1/videos/captions/templates/{template_id}
openapi: 3.1.0
info:
  title: Mirage Video API
  description: API for AI-powered video generation
  version: 0.0.1
  x-generated-by: export_openapi.py
  x-generated-note: >-
    Auto-generated from FastAPI routes and Pydantic models. Do not edit manually
    - run 'make export-openapi' to regenerate.
servers:
  - url: https://api.mirage.app
    description: Production
security:
  - ApiKeyAuth: []
paths:
  /v1/videos/captions/templates/{template_id}:
    get:
      tags:
        - Video Captions
      summary: Retrieve Caption Template
      operationId: get_caption_template_v1_videos_captions_templates__template_id__get
      parameters:
        - name: template_id
          in: path
          required: true
          schema:
            type: string
            title: Template Id
      responses:
        '200':
          description: Returns a caption template
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MACaptionTemplate'
components:
  schemas:
    MACaptionTemplate:
      properties:
        id:
          type: string
          title: Id
          description: Unique template identifier
          examples:
            - ctpl_123456789abcdefg
        object:
          type: string
          const: caption_template
          title: Object
          default: caption_template
        name:
          type: string
          title: Name
          description: Human-readable template name
          examples:
            - Bold White
        preview_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Preview Url
          description: URL to a preview video of the template
          examples:
            - >-
              https://captions-cdn.xyz/studio-assets/captions-style-previews/1FA3A381-5DDF-4ECD-936B-63D7CF16DEB0.mp4
        created_at:
          type: integer
          title: Created At
          description: When the template was created (unix timestamp)
          examples:
            - 1730000000
      type: object
      required:
        - id
        - name
        - created_at
      title: MACaptionTemplate
      description: Represents a caption style template
      x-mint:
        content: |
          ## The CaptionTemplate Object

          Represents a caption style template

          ### Attributes

          **id** `string` *required*
            Unique template identifier

          **object** `string` *optional*

          **name** `string` *required*
            Human-readable template name

          **preview_url** `string` *optional*
            URL to a preview video of the template

          **created_at** `integer` *required*
            When the template was created (unix timestamp)
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key for authentication.

````